Bug 371641 - Anaconda confuses the USB boot stick with the install drive.
Anaconda confuses the USB boot stick with the install drive.
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-08 13:54 EST by george.b.milner
Modified: 2008-08-06 16:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-06 16:50:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description george.b.milner 2007-11-08 13:54:58 EST
Description of problem:  Using usb stick with diskboot.img. In graphical mode I
have to tell it twice to ignore re-initializing usb stick. Then it asks "What
drive would you like to boot this installation from?" but the choice is greyed
out. In text mode it only gives me the option of putting the boot loader on
/dev/sdb (usb stick) or /dev/sda1. I need /dev/sda.  

Version-Release number of selected component (if applicable):

How reproducible:  Every time on this dell D830 laptop.

Steps to Reproduce:
1. boot from diskboot.img on a usb stick.
2. Select test or graphical install
3. Install method=http
4. Select remove Linux Partitions.
Actual results: cannot proceed with install

Expected results: FC8 test3 installed and bootable from /dev/sda

Additional info: vmlinuz initrd=initrd.img text method=
ip= netmask= noipv6

TEXT install: Choosing Remove ALL partitions (even though this laptop only has
linux partitions) gets installer to install but it then automatically installs
boot loader to the USB stick intead of the install drive and destroys the USB

GRAPHICAL install: Choosing Remove ALL partitions worked.  Glad I'm not
Comment 1 Andy Lindeberg 2008-06-03 15:51:59 EDT
Have you encountered the same problem in F9?

Note You need to log in before you can comment on or make changes to this bug.